Bug 15171 - Searching serials expiring after today should be allowed
Summary: Searching serials expiring after today should be allowed
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 8436
Blocks: 14969
  Show dependency treegraph
 
Reported: 2015-11-11 09:31 UTC by Jonathan Druart
Modified: 2017-06-14 22:07 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15171: Display subscriptions which will expire in the future (2.56 KB, patch)
2015-11-11 09:40 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15171: Display subscriptions which will expire in the future (2.74 KB, patch)
2015-11-11 10:41 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 15171: Display subscriptions which will expire in the future (2.80 KB, patch)
2015-11-11 22:25 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2015-11-11 09:31:05 UTC
The checkexpiration script let the user choose an expiration date > today, but the serial which will expire later than today won't be displayed.
Comment 1 Jonathan Druart 2015-11-11 09:40:15 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-11-11 10:41:06 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-11-11 22:25:26 UTC
Created attachment 44783 [details] [review]
[PASSED QA] Bug 15171: Display subscriptions which will expire in the future

Since the form on the subscription check expiration page let the user choose an
expiration date > today, there is no sense to hide subscriptions which will expire in the future.

Test plan:
0/ Make sure you have at least subscription with an expiration date > today
1/ Start a seach on the check expiration page (serials/checkexpiration.pl)
with a date < today, = today and > today
=> The subscription won't never be displayed without this patch.
With this patch, it will.

Note that you will get a "No results for your query" message only if you
have search for something.

Followed testplan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2015-11-17 13:00:31 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 5 Frédéric Demians 2015-11-29 21:09:59 UTC
This patch has been pushed to 3.20.x, will be in 3.20.6.
Comment 6 Jonathan Druart 2016-03-08 08:04:26 UTC
(In reply to Frédéric Demians from comment #5)
> This patch has been pushed to 3.20.x, will be in 3.20.6.

% git checkout v3.20.07
HEAD is now at 95a5b0d... Translation updates for Koha 3.20 release

% perl -wc serials/checkexpiration.pl
Global symbol "$branch" requires explicit package name (did you forget to declare "my $branch"?) at serials/checkexpiration.pl line 84.
Global symbol "$branch" requires explicit package name (did you forget to declare "my $branch"?) at serials/checkexpiration.pl line 84.
serials/checkexpiration.pl had compilation errors.
Comment 7 Jonathan Druart 2016-03-08 08:08:05 UTC
Frédéric, this patch depends on the $branch var, added by bug 8436. I would revert this patch from 3.20.x
Comment 8 Jonathan Druart 2016-03-08 08:09:35 UTC
Reported on the mailing list: https://lists.katipo.co.nz/pipermail/koha/2016-March/044907.html
Comment 9 Frédéric Demians 2016-03-08 08:22:58 UTC
(In reply to Jonathan Druart from comment #8)
> Reported on the mailing list:
> https://lists.katipo.co.nz/pipermail/koha/2016-March/044907.html

Thanks. Take a look immediately. Do you know why Jenkins don't run anymore tests for 3.20 branch.
Comment 10 Frédéric Demians 2016-03-08 08:28:52 UTC
I've already reverted this patch December 29th. So the bug reported on mailing list is there in 3.20.7, but is fixed in 3.20.8 and later.
Comment 11 Jonathan Druart 2016-03-08 08:48:31 UTC
(In reply to Frédéric Demians from comment #10)
> I've already reverted this patch December 29th. So the bug reported on
> mailing list is there in 3.20.7, but is fixed in 3.20.8 and later.

Oops, sorry, I should have tested that!
Comment 12 Jonathan Druart 2016-03-08 08:52:15 UTC
(In reply to Frédéric Demians from comment #9)
Do you know why Jenkins don't run anymore tests for 3.20 branch.

Tomas reported an issue on the jenkins config. I will ping him on #koha